For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DashboardProduct
DocsAPI ReferenceArchitecture
DocsAPI ReferenceArchitecture
  • Overview
    • API reference overview
  • Panicly Gateway API
LogoLogo
DashboardProduct
On this page
  • Public gateway routes
  • Authentication
Overview

API reference overview

OpenAI-compatible routes protected by Panicly policy

||View as Markdown|
Was this page helpful?
Edit this page
Next

Create a chat completion

Built with

The API reference documents the public gateway shape that applications call with a Panicly project key.

Reference scope

This reference focuses on public provider-compatible gateway routes. Dashboard RPC routes, auth routes, billing routes, and chatbot routes are documented separately as internal surfaces because they are not the same API product.

Public gateway routes

Chat completions

POST /v1/chat/completions

Responses

POST /v1/responses

Embeddings

POST /v1/embeddings

Models

GET /v1/models

Authentication

Bearer token
Direct header
$Authorization: Bearer pk_live_...

Response

idstringOptional
objectstringOptional
createdintegerOptional
modelstringOptional
choiceslist of maps from strings to anyOptional